Skip to main content
POST
/
artifacts
/
{org}
/
{flow_name}
Report artifact
curl --request POST \
  --url https://app.kosli.com/api/v2/artifacts/{org}/{flow_name} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "fingerprint": "<string>",
  "filename": "<string>",
  "build_url": "<string>",
  "commit_url": "<string>",
  "trail_name": "<string>",
  "template_reference_name": "<string>",
  "description": "<string>",
  "git_commit": "<string>",
  "git_commit_info": {
    "sha1": "<string>",
    "message": "<string>",
    "author": "<string>",
    "author_username": "<string>",
    "branch": "<string>",
    "timestamp": 123,
    "url": "<string>",
    "parents": [
      "<string>"
    ]
  },
  "repo_info": {
    "name": "<string>",
    "url": "<string>",
    "id": "<string>",
    "description": "<string>",
    "provider": "github"
  },
  "commits_list": [
    {
      "sha1": "<string>",
      "message": "<string>",
      "author": "<string>",
      "author_username": "<string>",
      "branch": "<string>",
      "timestamp": 123,
      "url": "<string>",
      "parents": [
        "<string>"
      ]
    }
  ],
  "repo_url": "<string>",
  "is_compliant": true,
  "template": "<string>",
  "external_urls": {},
  "annotations": {},
  "user_data": {}
}
'

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

flow_name
string
required
org
string
required

Body

application/json
fingerprint
string
required
Pattern: ^[a-f0-9]{64}$
filename
string
required
build_url
string
required
commit_url
string
required
trail_name
string | null
Pattern: ^[a-zA-Z0-9][a-zA-Z0-9\-_.~]*$
template_reference_name
string | null
Pattern: ^[a-zA-Z0-9\-_]+$
description
string | null
git_commit
string | null
Pattern: ^[a-f0-9]{40}$
git_commit_info
GitCommit · object
repo_info
RepoInfoPostInput · object
commits_list
GitCommit · object[] | null
repo_url
is_compliant
boolean | null
template
external_urls
External Urls · object
annotations
Annotations · object
user_data

Response

201 - application/json

Successful Response

Last modified on April 9, 2026